package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/*
  lanbm 2024-03-31 add
 */
@Schema(description = "管理后台 - 销售分析查询参数")
@Data
@ToString(callSuper = true)
public class SalesAnalysisReq extends PageParam {


    private int start;
    private int size;

    /*
     订单编号
     */
    private  String orderNo;

    /*
      提单编号
     */
    private  String tidanNo;

    /*
     销售经理
     */
    private String salesmanId;

    /*
     部门ID
     */
    private String deptId;

    /*
     唛头
     */
    private  String marks;

    /*
    是否控货
     */
    private  int isCargoControl;
}
